#log4j properties
log4j.rootCategory=info,logfile

#log4j.category.org.hibernate=logfile
#log4j.appender.console=org.apache.log4j.ConsoleAppender
#log4j.appender.console.Target=System.out
#log4j.appender.console.Threshold=DEBUG
#log4j.appender.console.layout=org.apache.log4j.PatternLayout
#log4j.appender.console.layout.ConversionPattern=%d{ABSOLUTE} %-5p [%c{1}.%M] %m%n
#log4j.logger.org.hibernate.SQL=DEBUG, SQL_APPENDER
#log4j.additivity.org.hibernate.SQL=false



log4j.appender.logfile=org.apache.log4j.RollingFileAppender
log4j.appender.logfile.File=C:/Workspace/all.log
log4j.appender.logfile.MaxFileSize=4096KB
# Keep three backup files
log4j.appender.logfile.MaxBackupIndex=2
log4j.appender.logfile.layout=org.apache.log4j.PatternLayout
#Pattern to output : date priority [category] - <message>line_separator
log4j.appender.logfile.layout.ConversionPattern=%d %p [%l] - %m%n